=== ui/CMakeLists.txt ===
set(UI_DEST share/geary/ui)

install(FILES accelerators.ui DESTINATION ${UI_DEST})
install(FILES account_list.glade DESTINATION ${UI_DEST})
install(FILES account_cannot_remove.glade DESTINATION ${UI_DEST})
install(FILES account_spinner.glade DESTINATION ${UI_DEST})
install(FILES app_menu.interface DESTINATION ${UI_DEST})
install(FILES certificate_warning_dialog.glade DESTINATION ${UI_DEST})
install(FILES composer.glade DESTINATION ${UI_DEST})
install(FILES composer_accelerators.ui DESTINATION ${UI_DEST})
install(FILES edit_alternate_emails.glade DESTINATION ${UI_DEST})
install(FILES find_bar.glade DESTINATION ${UI_DEST})
install(FILES login.glade DESTINATION ${UI_DEST})
install(FILES message.glade DESTINATION ${UI_DEST})
install(FILES password-dialog.glade DESTINATION ${UI_DEST})
install(FILES preferences.glade DESTINATION ${UI_DEST})
install(FILES remove_confirm.glade DESTINATION ${UI_DEST})
install(FILES toolbar_empty_menu.ui DESTINATION ${UI_DEST})
install(FILES toolbar_mark_menu.ui DESTINATION ${UI_DEST})
install(FILES upgrade_dialog.glade DESTINATION ${UI_DEST})
