=== debian/changelog ===
geary (0.10.0-1ubuntu1) wily; urgency=medium

  * Merge from debian (LP: #1450232). Remaining changes:
    - debian/control: Add build-depends on libmessaging-menu-dev and
      libunity-dev for Unity integration.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 6 May 2015 11:19:38 -0700

geary (0.10.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #782594)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 29 Apr 2015 02:55:37 -0700
