=== debian/control ===
Source: geary
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
Build-Depends:
 cmake (>= 2.8.0),
 debhelper (>= 9.20120417),
 desktop-file-utils,
 gnome-doc-utils,
 intltool,
 libcanberra-dev (>= 0.28),
 libgcr-3-dev (>= 3.10.1),
 libgee-0.8-dev (>= 0.8.5),
 libgirepository1.0-dev (>= 1.32.0),
 libglib2.0-dev (>= 2.32.0),
 libgmime-2.6-dev (>= 2.6.0),
 libgnome-keyring-dev (>= 3.2.2),
 libgtk-3-dev (>= 3.10.0),
 libmessaging-menu-dev,
 libnotify-dev (>= 0.7.5),
 libsecret-1-dev (>= 0.11),
 libsqlite3-dev (>= 3.7.4),
 libunique-3.0-dev (>= 3.0.0),
 libunity-dev,
 libwebkitgtk-3.0-dev (>= 2.3.0),
 libxml2-dev (>= 2.7.8),
 valac (>= 0.22.1)
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Geary
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/geary/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/geary/trunk

Package: geary
Architecture: any
Depends: gnome-keyring | kwalletmanager, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight email client designed for the GNOME desktop
 Geary is an email reader for GNOME designed to let you read your email
 quickly and effortlessly. Its interface is based on conversations, so you
 can easily read an entire discussion without having to click from message
 to message.
