=== debian/watch ===
version=3
http://download.gnome.org/sources/geary/([\d\.]+)/geary-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
