## geary 0.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Geary build script
-# Copyright 2011-2015 Yorba Foundation
+# Copyright 2016 Software Freedom Conservancy Inc.
 #
 # Check http://webdev.elementaryos.org/docs/developer-guide/cmake for documentation
 
@@ -8,14 +8,18 @@
 
 project(geary C)
 
-list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )
+list(APPEND
+  CMAKE_MODULE_PATH
+  ${CMAKE_SOURCE_DIR}/cmake
+  ${CMAKE_SOURCE_DIR}/cmake/GCR_CMake/macros
+  )
 
 #
 # Base bits
 #
 set(GETTEXT_PACKAGE "geary")
 set(RELEASE_NAME "Lightweight email client for GNOME.")
-set(VERSION "0.10.0")
+set(VERSION "0.11.2")
 set(VERSION_INFO "Release")
 set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)
 
@@ -63,6 +67,12 @@
 
 pkg_check_modules(GTK312X QUIET gtk+-3.0>=3.12.0)
 
+pkg_check_modules(SQLITE311 QUIET sqlite3>=3.11.0)
+pkg_check_modules(SQLITE312 QUIET sqlite3>=3.12.0)
+if (SQLITE311_FOUND AND NOT SQLITE312_FOUND)
+    message(WARNING "SQLite 3.11.x found. Ensure it has been compiled with -DSQLITE_ENABLE_FTS3_TOKENIZER or upgrade to SQLite 3.12.x. See https://bugzilla.gnome.org/show_bug.cgi?id=763203 for details.")
+endif ()
+
 # intl
 include(Gettext)
 if (XGETTEXT_FOUND)
@@ -70,6 +80,9 @@
 else ()
     message(STATUS "xgettext not found")
 endif ()
+
+# GResources
+include(GlibCompileResourcesSupport)
 
 #
 # Uninstall target
@@ -143,7 +156,6 @@
 add_subdirectory(icons)
 add_subdirectory(po)
 add_subdirectory(sql)
+add_subdirectory(ui)
 add_subdirectory(src)
 add_subdirectory(theming)
-add_subdirectory(ui)
-
