=== help/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,8 @@
     es
     fr
     it
+    pl
+    pt_BR
 )
 
 set(HELP_DEST share/gnome/help/geary)
