=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,11 @@
     text-x-generic-symbolic.svg
     edit-symbolic.svg
     format-text-remove-symbolic.svg
+    mail-drafts-symbolic.svg
+    mail-drafts-rtl-symbolic.svg
     mail-forward-symbolic.svg
     mail-forward-rtl-symbolic.svg
     mail-inbox-symbolic.svg
-    marker-symbolic.svg
     mail-outbox-symbolic.svg
     mail-reply-all-symbolic.svg
     mail-reply-all-rtl-symbolic.svg
@@ -20,6 +21,7 @@
     mail-sent-rtl-symbolic.svg
     mail-spam-symbolic.svg
     mail-spam-rtl-symbolic.svg
+    marker-symbolic.svg
     tag-symbolic.svg
     tag-rtl-symbolic.svg
 )
@@ -27,12 +29,13 @@
 install(FILES ${ICON_FILES} DESTINATION ${ICONS_DEST})
 
 # Application icon goes in theme directory
-install(FILES "16x16/geary.png" DESTINATION share/icons/hicolor/16x16/apps)
-install(FILES "24x24/geary.png" DESTINATION share/icons/hicolor/24x24/apps)
-install(FILES "32x32/geary.png" DESTINATION share/icons/hicolor/32x32/apps)
-install(FILES "48x48/geary.png" DESTINATION share/icons/hicolor/48x48/apps)
-install(FILES "256x256/geary.png" DESTINATION share/icons/hicolor/256x256/apps)
-install(FILES "512x512/geary.png" DESTINATION share/icons/hicolor/512x512/apps)
+install(FILES "hicolor/16x16/apps/geary.png" DESTINATION share/icons/hicolor/16x16/apps)
+install(FILES "hicolor/24x24/apps/geary.png" DESTINATION share/icons/hicolor/24x24/apps)
+install(FILES "hicolor/32x32/apps/geary.png" DESTINATION share/icons/hicolor/32x32/apps)
+install(FILES "hicolor/48x48/apps/geary.png" DESTINATION share/icons/hicolor/48x48/apps)
+install(FILES "hicolor/256x256/apps/geary.png" DESTINATION share/icons/hicolor/256x256/apps)
+install(FILES "hicolor/512x512/apps/geary.png" DESTINATION share/icons/hicolor/512x512/apps)
+install(FILES "hicolor/symbolic/apps/geary-symbolic.svg" DESTINATION share/icons/hicolor/symbolic/apps)
 
 # Optional: update icon cache at install time.
 if (ICON_UPDATE)
