=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Geary build script
-# Copyright 2011-2015 Yorba Foundation
+# Copyright 2016 Software Freedom Conservancy Inc.
 
 set(ENGINE_SRC
 
@@ -279,4 +279,3 @@
 engine/smtp/smtp-greeting.vala
 engine/smtp/smtp-login-authenticator.vala
 engine/smtp/smtp-plain-authenticator.vala
-engine/smtp/smtp-request.vala
