=== debian/changelog ===
geary (0.11.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 09 Oct 2016 17:52:35 -0700

geary (0.11.2-2) unstable; urgency=medium

  * Fix FTBFS by not treating Vala warnings as fatal errors. (Closes: #839324)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 01 Oct 2016 03:03:28 -0700

geary (0.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 01 Sep 2016 23:31:53 -0700

geary (0.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 28 Jun 2016 01:29:05 -0700

geary (0.11.0-2) unstable; urgency=medium

  * Drop obsolete libunique-3.0-dev build-dep. (Closes: #824575)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 17 May 2016 15:12:05 -0700

geary (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
    - Drop obsolete debian/menu file.
  * Update debian/copyright.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 16 May 2016 15:50:38 -0700
