## geary 0.11.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #
 set(GETTEXT_PACKAGE "geary")
 set(RELEASE_NAME "Lightweight email client for GNOME.")
-set(VERSION "0.11.2")
+set(VERSION "0.11.3")
 set(VERSION_INFO "Release")
 set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)
