=== debian/changelog ===
geary (0.11.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 02 Jan 2017 12:19:56 -0800
