=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libglib2.0-dev (>= 2.38.0),
  libgmime-2.6-dev (>= 2.6.14),
  libgnome-keyring-dev (>= 3.2.2),
- libgtk-3-dev (>= 3.10.0),
+ libgtk-3-dev (>= 3.12.0),
  libnotify-dev (>= 0.7.5),
  libsecret-1-dev (>= 0.11),
  libsqlite3-dev (>= 3.7.4),
