=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,8 @@
 %:
 	dh $@ --buildsystem=cmake
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DNO_FATAL_WARNINGS=true
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
